Get the post-call webhook
Return the workspace post-call webhook configuration and delivery status.
Endpoint
GET
/api/v1/workspaces/{workspace_id}/webhooks/post-callAuthentication
| Operation class | Authentication | Minimum role | API key |
|---|---|---|---|
| dashboard-session-api | Dashboard session cookie; mutations also require X-CX-Request: 1. | admin | Not allowed |
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
workspace_id | path | string | Yes | — |
Request body
This operation has no request body.
Example
curl --request GET 'https://operade.ai/api/v1/workspaces/ws_demo/webhooks/post-call' \ --cookie 'cx_session=YOUR_SESSION_COOKIE'
Responses
| Status | Description | Content |
|---|---|---|
4XX | Handled client error | application/json: ErrorResponse |
200 | Successful Response | application/json: object |
4XX application/json response schema
| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
|---|---|---|---|---|---|---|---|
$ | object | ErrorResponse | — | No | Yes | — | — |
error | object | ErrorItem | — | No | Yes | — | — |
error.code | string | — | — | No | Yes | — | — |
error.details | object | — | — | No | No | — | — |
error.message | string | — | — | No | Yes | — | — |
200 application/json response schema
| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
|---|---|---|---|---|---|---|---|
$ | object | PostCallWebhookNotConfigured or PostCallWebhook | — | No | Yes | — | — |
configured | boolean | — | — | No | Yes | false | — |
created_at | string | — | date-time | No | Yes | — | — |
enabled | boolean | — | — | No | Yes | — | — |
last_delivery_at | string or null | — | date-time | Yes | Yes | — | — |
last_error | string or null | — | — | Yes | Yes | — | — |
last_status | integer or null | — | — | Yes | Yes | — | — |
updated_at | string | — | date-time | No | Yes | — | — |
url | string | — | — | No | Yes | — | — |
Response example
{
"configured": false
}Errors
Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.
| Status | Code | Description |
|---|---|---|
401 | unauthenticated | Authentication is missing, invalid, or revoked. |
403 | forbidden | The authenticated caller does not have access to this operation. |
404 | not_found | The requested workspace resource was not found. |
